//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_PlatformAPIWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(PlatformAPI), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("Setup",FUNCTAG_Setup);
		L.RegFunction("Init",FUNCTAG_Init);
		L.RegFunction("Release",FUNCTAG_Release);
		L.RegFunction("RestartGame",FUNCTAG_RestartGame);
		L.RegFunction("GetBatteryLevel",FUNCTAG_GetBatteryLevel);
		L.RegFunction("IsBattleCharging",FUNCTAG_IsBattleCharging);
		L.RegFunction("RegisterPower",FUNCTAG_RegisterPower);
		L.RegFunction("UnregisterPower",FUNCTAG_UnregisterPower);
		L.RegFunction("getFreeMemory",FUNCTAG_getFreeMemory);
		L.RegFunction("getTotalMemory",FUNCTAG_getTotalMemory);
		L.RegFunction("getExternalStorageAvailable",FUNCTAG_getExternalStorageAvailable);
		L.RegFunction("getNetworkType",FUNCTAG_getNetworkType);
		L.RegFunction("getWifiSignal",FUNCTAG_getWifiSignal);
		L.RegFunction("getLocalMacAddress",FUNCTAG_getLocalMacAddress);
		L.RegFunction("getStorageInfos",FUNCTAG_getStorageInfos);
		L.RegFunction("GetAndroidInternalPersistencePath",FUNCTAG_GetAndroidInternalPersistencePath);
		L.RegFunction("GetDeviceUID",FUNCTAG_GetDeviceUID);
		L.RegFunction("getScreenBrightness",FUNCTAG_getScreenBrightness);
		L.RegFunction("setBrightness",FUNCTAG_setBrightness);
		L.RegFunction("SetClipBoardText",FUNCTAG_SetClipBoardText);
		L.RegFunction("GetClipBoardText",FUNCTAG_GetClipBoardText);
		L.RegVar("batteryLevelOfAndroid",FUNCTAG_get_batteryLevelOfAndroid, FUNCTAG_set_batteryLevelOfAndroid);
		L.RegVar("batteryChargingOfAndroid",FUNCTAG_get_batteryChargingOfAndroid, FUNCTAG_set_batteryChargingOfAndroid);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Setup(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			PlatformAPI.Setup();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Init(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			PlatformAPI.Init();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_Release(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			PlatformAPI.Release();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RestartGame(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			PlatformAPI.RestartGame();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetBatteryLevel(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = PlatformAPI.GetBatteryLevel();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_IsBattleCharging(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			bool o = PlatformAPI.IsBattleCharging();
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_RegisterPower(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			PlatformAPI.RegisterPower();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_UnregisterPower(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			PlatformAPI.UnregisterPower();
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getFreeMemory(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			long o = PlatformAPI.getFreeMemory();
			LuaDLL.tolua_pushint64(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getTotalMemory(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			long o = PlatformAPI.getTotalMemory();
			LuaDLL.tolua_pushint64(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getExternalStorageAvailable(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			long o = PlatformAPI.getExternalStorageAvailable();
			LuaDLL.tolua_pushint64(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getNetworkType(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			string o = PlatformAPI.getNetworkType();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getWifiSignal(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = PlatformAPI.getWifiSignal();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getLocalMacAddress(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			string o = PlatformAPI.getLocalMacAddress();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getStorageInfos(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			string o = PlatformAPI.getStorageInfos();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetAndroidInternalPersistencePath(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			string o = PlatformAPI.GetAndroidInternalPersistencePath();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetDeviceUID(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			string o = PlatformAPI.GetDeviceUID();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_getScreenBrightness(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			int o = PlatformAPI.getScreenBrightness();
			LuaDLL.lua_pushinteger(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_setBrightness(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 1);
			PlatformAPI.setBrightness(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetClipBoardText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			string arg0 = ToLua.CheckString(L, 1);
			PlatformAPI.SetClipBoardText(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetClipBoardText(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 0);
			string o = PlatformAPI.GetClipBoardText();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_batteryLevelOfAndroid(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushinteger(L, PlatformAPI.batteryLevelOfAndroid);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_batteryChargingOfAndroid(IntPtr L)
	{
		try
		{
			LuaDLL.lua_pushboolean(L, PlatformAPI.batteryChargingOfAndroid);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_batteryLevelOfAndroid(IntPtr L)
	{
		try
		{
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			PlatformAPI.batteryLevelOfAndroid = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_batteryChargingOfAndroid(IntPtr L)
	{
		try
		{
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			PlatformAPI.batteryChargingOfAndroid = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

